# mqrs
`mqrs` is a small cli application to handle POSIX message queues.

## Installation
To build `mqrs` a rust toolchain is necessary.

### Install Rust
Install the Rust toolchain from [rustup.rs](https://rustup.rs).

### Build `mqrs`
`mqrs` can be built for development:
```sh
cargo b
```

or for releasing:
```sh
cargo b --release
```

### Build the `mqrs` Debian package
```sh
cargo deb
```

### Install `mqrs`
When a Rust toolchain installed you can also install `mqrs`
directly without cloning it manually:
``` sh
cargo install --git https://git.onders.org/finga/mqrs.git mqrs
```

or from within the project:
```sh
cargo install mqrs
```

### Run `mqrs`
`mqrs` can either be run from the project directory with:
```sh
cargo b
```

or you can copy the produced binary somewhere else or link to them
from `target/{debug,release}/mqrs` depending on which
one you built.

## Using `mqrs`
`mqrs` supports five commands: `create`, `info`, `unlink`, `send` and
`receive`. All commands do not have to be specified fully. If the
command is clearly distinguishable from all the others, it does not
have to be completed further.
